import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.IdClass;
import javax.persistence.Table;

@Entity
@Table(name="EMP")
@IdClass(EmployeePK.class)
public class Employee implements Serializable {
  private String firstName;
  private String lastName;
  private long ssn;

  public String getFirstName() { return firstName; }
  public void setFirstName(String firstName) { this.firstName = firstName; }

  @Id
  public String getLastName() { return lastName; }
  public void setLastName(String lastName) { this.lastName = lastName; }

  @Id
  public long getSsn() { return ssn; }
  public void setSsn(long ssn) { this.ssn = ssn; }

  public String toString() {
    return "Employee : " + getFirstName() ;
  }
}
