public class EmployeePK implements java.io.Serializable {
  private String lastName;

  private long ssn;

  public EmployeePK() {
  }

  public EmployeePK(String lastName, long ssn) {
    this.lastName = lastName;
    this.ssn = ssn;
  }

  public String getLastName() {
    return this.lastName;
  }

  public void setLastName(String lastName) {
    this.lastName = lastName;
  }

  public long getSsn() {
    return ssn;
  }

  public void setSsn(long ssn) {
    this.ssn = ssn;
  }

  public boolean equals(Object obj) {
    if (obj == this)
      return true;
    if (!(obj instanceof EmployeePK))
      return false;
    EmployeePK pk = (EmployeePK) obj;
    if (!lastName.equals(pk.lastName))
      return false;
    if (ssn != pk.ssn)
      return false;
    return true;
  }

  public int hashCode() {
    return lastName.hashCode() + (int) ssn;
  }
}
